
//
// Author: Frantisek Vacek <fanda.vacek@volny.cz>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef QFSTORAGEDRIVER_H
#define QFSTORAGEDRIVER_H

#include <qfbasictable.h>

#include <qfcoreglobal.h>


//! TODO: write class documentation.
class QFCORE_DECL_EXPORT QFStorageDriver 
{
	public:
		/// kdyz naklonuji radek, je treba vymazat minimalne autoincrement primarni klice.
		virtual void checkClonnedRow(QFBasicTable::Row &row) throw(QFException) {Q_UNUSED(row);}
		virtual bool postRow(QFBasicTable::Row &row) throw(QFException);
		virtual bool deleteRow(QFBasicTable::Row &) throw(QFException) {return true;}
		virtual int reloadRow(QFBasicTable::Row &) throw(QFException) {return 1;}
		virtual void fillDefaultAndAutogeneratedValues(QFBasicTable::Row &) throw(QFException) {}
	public:
		QFStorageDriver() {}
		virtual ~QFStorageDriver() {}
};
   
#endif // QFSTORAGEDRIVER_H

